Package org.eclipse.cdt.core.resources

# Class RefreshExclusionFactory

java.lang.Object
org.eclipse.cdt.core.resources.RefreshExclusionFactory

public abstract class RefreshExclusionFactory extends Object
Responsible for manufacturing a given type of RefreshExclusion. Called by the RefreshScopeManager when loading persisted settings to instantiate exclusion objects.

Since:
  5.3

## Constructor Summary

Constructors
Constructor
Description
`RefreshExclusionFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract RefreshExclusion`
`createNewExclusion()`
Creates a new RefreshExclusion.
`abstract ExclusionInstance`
`createNewExclusionInstance()`
Creates a new ExclusionInstance
`abstract String`
`getExclusionClassname()`
Returns the fully qualified classname of the type of the object that will be returned by org.eclipse.cdt.core.resources.RefreshExclusionFactory.createNewExclusion()
`abstract String`
`getInstanceClassname()`
Returns the fully qualified classname of the type of the object that will be returned by org.eclipse.cdt.core.resources.RefreshExclusionFactory.createNewExclusionInstance()

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RefreshExclusionFactory

public RefreshExclusionFactory()

## Method Details

### createNewExclusion

public abstract RefreshExclusion createNewExclusion()
Creates a new RefreshExclusion.

Returns:
  RefreshExclusion

### createNewExclusionInstance

public abstract ExclusionInstance createNewExclusionInstance()
Creates a new ExclusionInstance

Returns:
  ExclusionInstance

### getExclusionClassname

public abstract String getExclusionClassname()
Returns the fully qualified classname of the type of the object that will be returned by org.eclipse.cdt.core.resources.RefreshExclusionFactory.createNewExclusion()

Returns:
  String

### getInstanceClassname

public abstract String getInstanceClassname()
Returns the fully qualified classname of the type of the object that will be returned by org.eclipse.cdt.core.resources.RefreshExclusionFactory.createNewExclusionInstance()

Returns:
  String